@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');


*{
    box-sizing: border-box;
    padding: 0;
    margin: 0;

}

body{
    font-family: 'Roboto', sans-serif;
}

a{
    text-decoration: none;
    color: inherit;
}

.btn{
    display: inline-block;
    padding: 15px 60px;
    font-size: 1.1rem;
    text-transform: uppercase;
    background: #111;
    color:#eee ;
    border-radius: 5px;
    transition: background 500ms ease;

}

.btn:hover{
    cursor: pointer;
    background: #000;
}

.headline{
    font-size:  2.2rem;
    text-transform: uppercase;
    font-weight: bold;
    text-align: center;
    padding-bottom: 50px;
    letter-spacing: 2px;
}

/* Nav Bar */

#navbar{
   width: 100%;
   background: #111;
   color: #eee; 
   height: 80px;
   position: fixed;
}

#navbar-container{
    width: 80%;
    margin: auto;
    display: flex;
    justify-content: space-between;
    height: 100%;
    align-items: center;
}

.logo{
    font-size: 2rem;
}

#navbar-items{
    display: flex;
    list-style: none;
    text-transform: uppercase;
}

#navbar-items li{
    padding: 10px;
}

/* Showcase */

#showcase{
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #eee;
    background: url(img/showcase.jpg) no-repeat center center/cover;

    /* Overlay */
background-color: rgba(0,0,0,0.5);
background-blend-mode: color;
}

#showcase-container {
    text-align: center;
}

#showcase-container h2{
    font-size: 2.5rem;
}

#showcase-container p{
    font-size: 1.2rem;
    padding:7px 0;
}

/* Clientes */

#clients{
    width: 100%;
    background: white;
    color: black;
    padding: 50px;
}

#clients-container{
    display: grid;
    grid-template-columns: repeat(4,1fr);
    justify-items: center;
    padding: 15px;
}

.client{
    display: inline-block;
    width: 25%;

}

/* About */
#features{
    width: 100%;
    background: #111;
    color: #eee;
    padding: 50px;
}

#features-container{
    width: 100%;
    margin: auto;
    display: grid;
    grid-template-columns: repeat(3,1fr);
    grid-column-gap: 50px;
}

.feature{
    display: flex;
    flex-direction: column;
    background: #333;
    padding: 20px;
    border-radius: 5px;
}

.feature-title{
    font-family: 'Roboto';
    font-size: 22px;
    font-weight: bold;
}

.feature p{
    font-size: 17px;
    font-family: 'Roboto';
}


/*Product*/

#product{
    width: 100%;
    padding: 50px;
}

#product-container{
    display: flex;
    justify-content: center;
    align-items: center;
}

#items{
    width: 650px;
}

#item .item{
    display: flex;
    padding: 10px;
    margin: 15px 0;
    font-size: 1.2rem;
}

/*Testimonials*/

.testimonial{
    display: flex;
    align-items: center;
    font-size: 1.2rem;
    background: #333;
    padding: 15px;
    margin: 15px 0;
    border-radius: 5px;
}

#testimonials{
    width: 100%;
    background: #222;
    color: #eee;
    padding: 50px ;
}

#testimonials-container{
    width: 80%;
    margin: auto;
    display: flex;
    align-items: center;
    flex-direction: column;

}

.testimonial .testimonial-img{
    height: 200px;
    width: auto;
    border-radius: 50%;
    margin: 15px;
}

/*  Galeria */

#gallery{
    width: 90%;
    margin: auto;
    padding: 50px;
}

#gallery-container{
    display: grid;
    grid-template-columns:repeat(3, 1fr) ;
    grid-gap: 30px;
    justify-items: center;
}

.gallery-image{
    display: inline-block;
    width: 540px;
    height: 360px;
    border-radius: 5px;
}

/*footer*/
#footer{
    background: #222;
    color: #eee;
    padding: 30px;
    text-align: center;
}
